LVM-DUMPCONFIG(8)

NAME
lvm-dumpconfig — dump LVM configuration

SYNOPSIS
lvm dumpconfig [-f|--file filename] [--type {current|default|diff|missing|new|profilable|profilable-command|profilable-metadata} [--atversion version] [--ignoreadvanced] [--ignoreunsupported] [--config ConfigurationString] [--commandprofile ProfileName] [--profile ProfileName] [--metadataprofile ProfileName] [--mergedconfig] [--validate] [--withcomments] [--withversions] [ConfigurationNode...]

DESCRIPTION
lvm dumpconfig produces formatted output with LVM configuration tree.

OPTIONS

-f, --file filename
    Dump configuration to a file named 'filename'.

--type {current|default|diff|missing|new|profilable}
    Select the type of configuration to dump. The configuration settings dumped have either default values or currently used values assigned based on the type selected (if no type is selected, --type current is used by default). Whenever a configuration setting with a default value is commented out, it means the setting does not have any concrete default value defined. All output can be saved and reused as proper lvm.conf(5) file.

    current
        Dump current lvm.conf configuration merged with any tag config if used. See also lvm.conf(5) for more info about LVM configuration methods.

    default
        Dump all possible configuration settings with default values assigned.

    diff
        Dump all configuration settings for which the values used differ from defaults. The value assigned for each configuration setting is the value currently used. This is actually minimal LVM configuration which can be used without a change to current configured behaviour.

    missing
        Dump all configuration settings with default values assigned which are missing in the configuration currently used and for which LVM automatically fallbacks to using these default values.

    new Dump all new configuration settings introduced in current LVM version or specific version as defined by --atversion option.

    profilable
        Dump all profilable configuration settings with default values assigned. See lvm.conf(5) for more info about profile config method.

    profilable-command
        Dump all profilable configuration settings with default values assigned that can be used in command profile. This is a subset of settings dumped by --type --profilable.

    profilable-metadata
        Dump all profilable configuration settings with default values assigned that can be used in metadata profile. This is a subset of settings dumped by --type --profilable.

--atversion version
    Specify an LVM version in x.y.z format where x is the major version, the y is the minor version and z is the patchlevel (e.g. 2.2.106). When configuration is dumped, the configuration settings recognized at this LVM version will be considered only. This can be used to dump a configuration that certain LVM version understands and which does not contain any newer settings for which LVM would issue a warning message when checking the configuration.

--ignoreadvanced
    Ignore advanced configuration settings on dump.

--ignoreunsupported
    Ignore unsupported configuration settings on dump. These settings are either used for debugging purposes only or their support is not yet complete and they are not meant to be used in production.

--config ConfigurationString
    Use ConfigurationString to override existing configuration. This configuration is then applied for dumpconfig command itself. See also lvm.conf(5) for more info about config cascade.

--commandprofile ProfileName
    Use ProfileName to override existing configuration. This configuration is then applied for dumpconfig command itself. See also lvm.conf(5) for more info about config cascade.

--profile ProfileName
    The same as using --commandprofile but the configuration is not applied for dumpconfig command itself.

--metadataprofile ProfileName
    Use ProfileName to override existing configuration. The configuration defined in metadata profile has no effect for dumpconfig command itself, the dumpconfig dumps the configuration only. See also lvm.conf(5) for more info about config cascade.

--mergedconfig
    When the dumpconfig command is run with the --config option and/or --commandprofile, --profile, --metadataprofile option, merge all the contents of the config cascade before dumping it. Without the --mergeconfig option used, only the configuration at the front of the cascade is dumped. See also lvm.conf(5) for more info about config cascade.

--validate
    Validate current configuration used and exit with appropriate return code. The validation is done only for the configuration at the front of the config cascade. To validate the whole merged configuration tree, use also the --mergedconfig option. The validation is done even if config/checks lvm.conf(5) option is disabled.

--withcomments
    Also dump comments for each configuration node.

--withversions
    Also dump a comment containing the version of introduction for each configuration node.

SEE ALSO
lvm(8) lvm.conf(5)